Redmine - Feature #36823

Allow to import time entries for issues in different projects
2022-03-22 12:06 - Jens Kramer

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Marius BALTEANU % Done: 0%
Category: Importers Estimated time: 0.00 hour
Target version: 5.1.0

Resolution: Fixed

Description

As it is now, the time entry import only allows to import time entries for a single, pre-selected project. Because time entries can only
be imported for already existing issues (which in turn already belong to a project), by definition that pre-selected project is only
relevant for time entries that are not attached to any issue.

The attached patch that was extracted from Planio allows to import time entries for issues across different projects. This is achieved
simply by ignoring the user-selected project for those rows where an issue id is present, letting the existing logic in
TimeLogEntry#safe_attributes= determine the project id.

This is somewhat related to #25808.

Associated revisions

Revision 21522 - 2022-04-03 09:54 - Marius BALTEANU

Allow imported time entries to override the selected project with the actual project of their issue (#36823).

Patch by Jens Kramer.

History

#1 - 2022-03-22 17:01 - Marius BALTEANU

- Target version set to Candidate for next major release

#2 - 2022-03-28 23:08 - Marius BALTEANU

- Target version changed from Candidate for next major release to 5.1.0

#3 - 2022-04-03 09:54 - Marius BALTEANU
- Status changed from New to Resolved

- Assignee set to Marius BALTEANU
Feature added, thanks!

#4 - 2022-04-04 18:47 - Marius BALTEANU

- Status changed from Resolved to Closed

#5 - 2023-10-30 10:58 - Go MAEDA
- Tracker changed from Patch to Feature

- Resolution set to Fixed

Files

0001-allow-imported-time-entries-to-override-the-selected.patch 2.41 KB 2022-03-22 Jens Kramer

2024-05-16 1/1


https://plan.io/redmine-hosting
https://www.redmine.org/issues/25808
http://www.tcpdf.org

